%global pypi_name srvlookup

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Service lookup using DNS SRV records

License:        BSD
URL:            http://github.com/AWeber/srvlookup
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(dnspython)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(setuptools)

%description
A small wrapper for dnspython to return SRV records for a given host,
protocol, and domain name as a list of namedtuples.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(dnspython)
%description -n python3-%{pypi_name}
A small wrapper for dnspython to return SRV records for a given host,
protocol, and domain name as a list of namedtuples.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 26 2021 Aurelien Bompard <abompard@fedoraproject.org> - 0.1.0-1
- Initial package.
